<?php get_header(); ?>
<div class="contents">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>

			<?php if ( has_post_format() ) : ?><?php endif; ?>

			<article>

				<?php edit_post_link( __('Edit this entry', 'tijaji') ,'<div class="editlink">','</div>'); ?>
				<?php if ( tijaji_display_single_category() ) { ?><div class="singlecat"><?php the_category(' '); ?></div><?php } ?>
				
				<?php if ( tijaji_display_single_date() or tijaji_display_single_author() ) { ?><div class="loopdate"><?php } ?>
				<?php if ( tijaji_display_single_date() ) { ?><span><?php the_time( get_option( 'date_format' ) );?></span><?php } ?><?php if ( tijaji_display_single_author() ) { ?> <span class="author right">&nbsp;<?php esc_html_e('Written by ','tijaji'); the_author_posts_link(); ?></span><?php } ?>
				<?php if ( tijaji_display_single_date() or tijaji_display_single_author() ) { ?></div><?php } ?>
				<div class="clear"></div>
				<h1><?php the_title(); ?></h1>
				<?php if ( has_post_thumbnail() && tijaji_display_single_thumbnail() ) { echo '<div class="top_thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
				<div class="post-content">
					<?php the_content(); ?>
					<div class="clear"></div>
				
<?php
	$tijaji_wplinknum = wp_link_pages( array(
		'before' =>'',
		'after' => '',
		'separator' => ' ',
 		'link_before' => '<span class="page-link">',
		'link_after' => '</span>',
		'echo' => 0
	));

	if( $tijaji_wplinknum ) {

		$tijaji_pagelink = wp_link_pages( array(
			'before' =>'',
			'after' => '',
	 		'link_before' => '',
			'link_after' => '',
			'separator' => '',
			'next_or_number' => 'next',
			'nextpagelink'     => 'next',
			'previouspagelink' => 'previous',
			'echo' => 0
		));

		preg_match_all('|<a href="(.*?)</a>|s', $tijaji_pagelink, $tijaji_get_pagelink);

		if( isset( $tijaji_get_pagelink[0][0] ) ) {

			if( strstr($tijaji_get_pagelink[0][0],'previous') ) {

				preg_match('|"(.*?)"|s', $tijaji_get_pagelink[0][0], $tijaji_get_previousurl);
			$tijaji_previouslink = '<a href="' . esc_url( $tijaji_get_previousurl[1] ) . '"><span class="page-link">' . __('&laquo; Previous page','tijaji') . '</span></a> ';

			}elseif( strstr($tijaji_get_pagelink[0][0],'next') ) {

				preg_match('|"(.*?)"|s', $tijaji_get_pagelink[0][0], $tijaji_get_nexturl);
				$tijaji_nextlink = ' <a href="' . esc_url( $tijaji_get_nexturl[1] ) . '"><span class="page-link">' . __('Next page &raquo;','tijaji') . '</span></a>';

			}

		}

		if( isset( $tijaji_get_pagelink[0][1] ) ) {

			if( strstr($tijaji_get_pagelink[0][1],'next') ) {

				preg_match('|"(.*?)"|s', $tijaji_get_pagelink[0][1], $tijaji_get_nexturl);
				$tijaji_nextlink = ' <a href="' . esc_url( $tijaji_get_nexturl[1] ) . '"><span class="page-link">' . __('Next page &raquo;','tijaji') . '</span></a>';

			}elseif ( strstr($tijaji_get_pagelink[0][1],'previous') ) {

				preg_match('|"(.*?)"|s', $tijaji_get_pagelink[0][1], $tijaji_get_previousurl);
			$tijaji_previouslink = '<a href="' . esc_url( $tijaji_get_previousurl[1] ) . '"><span class="page-link">' . __('&laquo; Previous page','tijaji') . '</span></a> ';

			}

		}


		echo '<nav class="center"><div class="page-links">';
		if( isset( $tijaji_previouslink ) ) echo wp_kses_post( $tijaji_previouslink );
		echo wp_kses_post( $tijaji_wplinknum );
		if( isset( $tijaji_nextlink )  ) echo wp_kses_post( $tijaji_nextlink );
		echo '</div></nav>';
	}
?>
					<?php dynamic_sidebar( 'content_bottom' ); ?>
				</div>
			</article>

			<?php if( has_tag() ) { ?>
			<div class="taglist right"><?php the_tags( __('<span>Tags: </span>','tijaji') ,'','' ); ?></div>
			<div class="clear"></div>
			<?php } ?>

		</div>

		<?php if ( tijaji_display_single_pagenav() ) { ?>
		<div id="pagenavi" class="newer-older">
			<p class="older"><?php previous_post_link( '&laquo; %link','%title',false ) ?></p>
			<p class="newer"><?php next_post_link( '%link &raquo;','%title',false ) ?></p>
			<div class="clear"></div>
		</div>
		<?php } ?>

		<?php comments_template( '', true ); ?>

	<?php endwhile; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
